v_voip_packetizer56: xpacketizer56.c File Reference

| v_voip_packetizer56 Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
xpacketizer56.c File Reference

## Overview

This is the main file for Xilinx VoIP ST2022-6 Packetizer core.

Please see xpacketizer56.h for more details of the driver.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00   mmo   02/12/16 Initial release.

## Functions
int | XPacketizer56_CfgInitialize (XPacketizer56 *InstancePtr, XPacketizer56_Config *CfgPtr, UINTPTR EffectiveAddr)
| This function initializes the VoIP ST2022-6 Packetizer core. More...
void | XPacketizer56_RegClear (XPacketizer56 *InstancePtr)
| This function Clears all the VoIP ST2022-6 Packetizer Register Space. More...
void | XPacketizer56_LosslessEnable (XPacketizer56 *InstancePtr)
| This function Sets the Operating Mode based on User Configure Value in VoIP ST2022-6 Packetizer Structure of LoslessMode LoslessMode : XPACKETIZER56_NORMAL : Normal Mode XPACKETIZER56_LOSSLESS : Lossless Mode. More...
void | XPacketizer56_ModEnable (XPacketizer56 *InstancePtr)
| This function Enable or Disable the Module based on User Configured Structure of ModuleEnable. More...
void | XPacketizer56_VidFormat (XPacketizer56 *InstancePtr)
| This function Writes the Video Format into the VoIP ST2022-6 Register. More...
void | XPacketizer56_RTPMediaHeader (XPacketizer56 *InstancePtr)
| This function Writes the RTP-Media Header into the VoIP ST2022-6 Register. More...
XPacketizer56_Stream | XPacketizer56_MediaDatagramInfo (XPacketizer56 *InstancePtr)
| This function Writes the RTP-Media Header into the VoIP ST2022-6 Register. More...
void | XPacketizer56_SetChannel (XPacketizer56 *InstancePtr)
| This function Sets the Channel Number Information which will be added in to TUSER Master AXI4-Stream of the Module. More...
void | XPacketizer56_SetSSRC (XPacketizer56 *InstancePtr)
| This function Sets the RTP-SSRC Header. More...

## Function Documentation

int XPacketizer56_CfgInitialize | ( | XPacketizer56 * | InstancePtr,
|  | XPacketizer56_Config * | CfgPtr,
|  | UINTPTR | EffectiveAddr
| ) |  |

This function initializes the VoIP ST2022-6 Packetizer core.

This function must be called prior to using the VoIP ST2022-6 Packetizer core. Initialization of the VoIP ST2022-6 Packetizer includes setting up the instance data, and ensuring the hardware is in a quiescent state.

Parameters

  InstancePtr | is a pointer to the VoIP ST2022-6 Packetizer core instance.
  CfgPtr | points to the configuration structure associated with the HDMI RX core.
  EffectiveAddr | is the base address of the device. If address translation is being used, then this parameter must reflect the virtual base address. Otherwise, the physical address should be used.

Returns
  - XST_SUCCESS if XPacketizer56_CfgInitialize was successful.

Note
  None.

References XPacketizer56::DatagramMismatchCallback, XPacketizer56::IsDatagramMismatchCallbackSet, and XPacketizer56_RegClear().

void XPacketizer56_LosslessEnable | ( | XPacketizer56 * | InstancePtr | ) |

This function Sets the Operating Mode based on User Configure Value in VoIP ST2022-6 Packetizer Structure of LoslessMode LoslessMode : XPACKETIZER56_NORMAL : Normal Mode XPACKETIZER56_LOSSLESS : Lossless Mode.

Parameters

  InstancePtr | is a pointer to the XPacketizer56 core instance.

Returns
  None.

Note
  None.

References XPacketizer56_ReadReg, and XPacketizer56_WriteReg.

XPacketizer56_Stream XPacketizer56_MediaDatagramInfo | ( | XPacketizer56 * | InstancePtr | ) |

This function Writes the RTP-Media Header into the VoIP ST2022-6 Register.

Parameters

  InstancePtr | is a pointer to the XPacketizer56 core instance.

Returns
  None.

Note
  None.

void XPacketizer56_ModEnable | ( | XPacketizer56 * | InstancePtr | ) |

This function Enable or Disable the Module based on User Configured Structure of ModuleEnable.

Parameters

  InstancePtr | is a pointer to the XPacketizer56 core instance.

Returns
  None.

Note
  None.

References XPacketizer56_ReadReg, and XPacketizer56_WriteReg.

void XPacketizer56_RegClear | ( | XPacketizer56 * | InstancePtr | ) |

This function Clears all the VoIP ST2022-6 Packetizer Register Space.

Parameters

  InstancePtr | is a pointer to the XPacketizer56 core instance.

Returns
  None.

Note
  None.

References XPacketizer56_ReadReg, and XPacketizer56_WriteReg.

Referenced by XPacketizer56_CfgInitialize().

void XPacketizer56_RTPMediaHeader | ( | XPacketizer56 * | InstancePtr | ) |

This function Writes the RTP-Media Header into the VoIP ST2022-6 Register.

Parameters

  InstancePtr | is a pointer to the XPacketizer56 core instance.

Returns
  None.

Note
  None.

References XPacketizer56_ReadReg, and XPacketizer56_WriteReg.

void XPacketizer56_SetChannel | ( | XPacketizer56 * | InstancePtr | ) |

This function Sets the Channel Number Information which will be added in to TUSER Master AXI4-Stream of the Module.

Parameters

  InstancePtr | is a pointer to the XPacketizer56 core instance.

Returns
  None.

Note
  None.

References XPacketizer56_ReadReg, and XPacketizer56_WriteReg.

void XPacketizer56_SetSSRC | ( | XPacketizer56 * | InstancePtr | ) |

This function Sets the RTP-SSRC Header.

Parameters

  InstancePtr | is a pointer to the XPacketizer56 core instance.

Returns
  None.

Note
  None.

References XPacketizer56_WriteReg.

void XPacketizer56_VidFormat | ( | XPacketizer56 * | InstancePtr | ) |

This function Writes the Video Format into the VoIP ST2022-6 Register.

This register is valid if the core is set to obtained video format from the Register space.

Parameters

  InstancePtr | is a pointer to the XPacketizer56 core instance.

Returns
  None.

Note
  None.

References XPacketizer56_ReadReg, and XPacketizer56_WriteReg.